#ifndef FASTMATH_NUM
#define FASTMATH_NUM

#include <num/num.h>

/* take x as a num16 and calcutate its square root as a num16 */
libnum::num16 fp_sqrt16(libnum::num16 x);
/* take x in radians as a num16 and calcutate its cosine value as a num16 */
libnum::num16 fp_cos16(libnum::num16 x);
/* take x in radians as a num16 and calcutate its sine value as a num16 */
libnum::num16 fp_sin16(libnum::num16 x);
/* take x in radians as a num16 and calcutate its tangent value as a num16 */
libnum::num16 fp_tan16(libnum::num16 x);

/* take x as a num32 and calcutate its square root as a num32 */
libnum::num32 fp_sqrt32(libnum::num32 x);
/* take x in radians as a num32 and calcutate its c0sine value as a num32 */
libnum::num32 fp_cos32(libnum::num32 x);
/* take x in radians as a num32 and calcutate its sine value as a num32 */
libnum::num32 fp_sin32(libnum::num32 x);
/* take x in radians as a num32 and calcutate its tangent value as a num32 */
libnum::num32 fp_tan32(libnum::num32 x);

#endif